{% extends 'site/site-base.html.twig' %}

{% block title %}
    {{ parent() }} | Mon profil
{% endblock %}

{% block body %}
    <main class="container-fluid container-md mt-lg-5">
        <div class="py-lg-5">
            <h1 class="pt-3">
                Mon Profil
                <div class="d-none d-lg-inline pull-right">
                    <a href="{{ path('user_profile_edit') }}" class="btn btn-primary">
                        Modifier mes informations
                    </a>
                </div>
            </h1>
            <hr>
            <div class="py-3">
                <div class="position-absolute">
                    <p>Nom : <b>{{ app.user.lastname }}</b></p>
                    <p>Prénom : {{ app.user.firstname }}</p>
                    <p>Identifiant : {{ app.user.email }}</p>
                </div>
                <div class="text-right">
                    <img src="{{ asset('uploadedPhotos/' ~ (app.user.photo is not null ? app.user.photo.filename : 'user-photo-placeholder.png')) }}"
                         alt="Photo de profil" width="250" class="profile-photo rounded-circle">
                </div>
            </div>
            <div class="text-right mt-3 d-block d-lg-none">
                <a href="{{ path('user_profile_edit') }}" class="btn btn-primary btn-block">
                    Modifier mes informations
                </a>
            </div>
        </div>
    </main>
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('user_profile_show') }}
{% endblock %}
